{-|
Description:    

Copyright:      (c) 2020 Samuel May
License:        MPL-2.0
Maintainer:     ag.eitilt@gmail.com

Stability:      experimental
Portability:    portable
-}
module Main where


import qualified Control.Monad as M
import qualified System.Exit as E
import qualified Test.HUnit as U

import qualified Test.Mangrove.Html5Lib.Tokenizer as Tokenizer
import qualified Test.Mangrove.Html5Lib.TreeConstruction as TreeConstruction


main :: IO ()
main = do
    tokenizer <- Tokenizer.tests
    tree <- TreeConstruction.tests
    results <- U.runTestTT $ U.TestList
        [ tokenizer
        , tree
        ]
    
    M.unless (U.errors results == 0 && U.failures results == 0) E.exitFailure
